Package fr.gouv.vitam.common.model.identifier

# Class PurgedPersistentIdentifier

java.lang.Object
fr.gouv.vitam.common.model.identifier.PurgedPersistentIdentifier

public class PurgedPersistentIdentifier extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PurgedPersistentIdentifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `String`
  `getObjectGroupId()`
  `String`
  `getOperationId()`
  `String`
  `getOperationLastPersistentDate()`
  `String`
  `getOperationType()`
  `List<PersistentIdentifier>`
  `getPersistentIdentifiers()`
  `Integer`
  `getTenant()`
  `PurgedCollectionType`
  `getType()`
  `Integer`
  `getVersion()`
  `void`
  `setId(String id)`
  `void`
  `setObjectGroupId(String objectGroupId)`
  `void`
  `setOperationId(String operationId)`
  `void`
  `setOperationLastPersistentDate(String operationLastPersistentDate)`
  `void`
  `setOperationType(String operationType)`
  `void`
  `setPersistentIdentifiers(List<PersistentIdentifier> persistentIdentifiers)`
  `void`
  `setTenant(Integer tenant)`
  `void`
  `setType(PurgedCollectionType type)`
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PurgedPersistentIdentifier

    public PurgedPersistentIdentifier()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public void setTenant(Integer tenant)

  - ### getVersion

    public Integer getVersion()

  - ### setVersion

    public void setVersion(Integer version)

  - ### getPersistentIdentifiers

    public List<PersistentIdentifier> getPersistentIdentifiers()

  - ### setPersistentIdentifiers

    public void setPersistentIdentifiers(List<PersistentIdentifier> persistentIdentifiers)

  - ### getType

    public PurgedCollectionType getType()

  - ### setType

    public void setType(PurgedCollectionType type)

  - ### getOperationId

    public String getOperationId()

  - ### setOperationId

    public void setOperationId(String operationId)

  - ### getOperationType

    public String getOperationType()

  - ### setOperationType

    public void setOperationType(String operationType)

  - ### getOperationLastPersistentDate

    public String getOperationLastPersistentDate()

  - ### setOperationLastPersistentDate

    public void setOperationLastPersistentDate(String operationLastPersistentDate)

  - ### getObjectGroupId

    public String getObjectGroupId()

  - ### setObjectGroupId

    public void setObjectGroupId(String objectGroupId)